Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class LeafRoleResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.P13nCachedResource
                  com.bea.p13n.entitlements.resource.LeafRoleResource

All Implemented Interfaces
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public class LeafRoleResource

extends P13nCachedResource

The LeafRoleResource class is used to represent an application defined resource for management and runtime checking of role and security policies.

This class has special significance for the formation and runtime checking of role policies associated with a resource. Role policies will be collected at the application leaf node and at global scope, only.

This class will search for security policies beginning at the application resource leaf node and then in a hiearchical manner, until located, using the P13nSecurityResource class.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nCachedResource
`P13N_SECURITY_RESOURCE_CACHE`

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty, idDelimiter, initialCapability, libraryResourceId`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`LeafRoleResource(String entAppName, String webAppName, String appResourceID, String capabilityName)` Construct a resource whose role policies will be scoped at the leaf node level

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nCachedResource
`getParentResource, makeParent, toString`

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getLibraryResourceId, getResourceName, getSecurityResource, getType, getWebAppName, setInitialValues, setSecurityResource`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafRoleResource

    public LeafRoleResource(String entAppName,
                            String webAppName,
                            String appResourceID,
                            String capabilityName)

  Construct a resource whose role policies will be scoped at the leaf node level

  Parameters
    `entAppName` - Enterprise application name.
    `webAppName` - Webapp name.
    `appResourceID` - Application-defined resource taxonomy Id
    `capabilityName` - Optional application-defined capability to evaluate. If no capability name is specified, a policy with no capability name will be used if found.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns
    EntitlementConstants.LEAF_NODE_ROLE_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.